<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:intertekgroupplc="http://intertekgroupplc.com/xbrl/2024" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2024-01-31" targetNamespace="http://intertekgroupplc.com/xbrl/2024" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" namespace="http://www.xbrl.org/dtr/type/2020-01-21" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:import schemaLocation="https://www.xbrl.org/dtr/type/2024-01-31/types.xsd" namespace="http://www.xbrl.org/dtr/type/2024-01-31" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="2138003GAT25WW1RN369-2024-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="2138003GAT25WW1RN369-2024-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="2138003GAT25WW1RN369-2024-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="2138003GAT25WW1RN369-2024-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://intertekgroupplc.com/xbrl/2024/roles/NotesAndMandatoryItems">
        <link:definition>01 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ProfitOrLoss" roleURI="http://intertekgroupplc.com/xbrl/2024/roles/ProfitOrLoss">
        <link:definition>02 - Profit or loss</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfComprehensiveIncome" roleURI="http://intertekgroupplc.com/xbrl/2024/roles/StatementOfComprehensiveIncome">
        <link:definition>03 - Statement of comprehensive income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfFinancialPosition" roleURI="http://intertekgroupplc.com/xbrl/2024/roles/StatementOfFinancialPosition">
        <link:definition>04 - Statement of financial position</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfFinancialPositionParenthetical" roleURI="http://intertekgroupplc.com/xbrl/2024/roles/StatementOfFinancialPositionParenthetical">
        <link:definition>05 - Statement of financial position (Parenthetical)</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquity" roleURI="http://intertekgroupplc.com/xbrl/2024/roles/StatementOfChangesInEquity">
        <link:definition>06 - Statement of changes in equity</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlows" roleURI="http://intertekgroupplc.com/xbrl/2024/roles/StatementOfCashFlows">
        <link:definition>07 - Statement of cash flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlowsParenthetical" roleURI="http://intertekgroupplc.com/xbrl/2024/roles/StatementOfCashFlowsParenthetical">
        <link:definition>08 - Statement of cash flows (Parenthetical)</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://intertekgroupplc.com/xbrl/2024/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="intertekgroupplc_ConsolidatedIncomeStatementAxis" xbrli:periodType="duration" abstract="true" name="ConsolidatedIncomeStatementAxis" nillable="true" xmlns:q1="http://xbrl.org/2005/xbrldt" substitutionGroup="q1:dimensionItem" type="xbrli:stringItemType" />
  <xs:element id="intertekgroupplc_AdjustedResultsMember" xbrli:periodType="duration" abstract="true" name="AdjustedResultsMember" nillable="true" substitutionGroup="xbrli:item" xmlns:q2="http://www.xbrl.org/dtr/type/2020-01-21" type="q2:domainItemType" />
  <xs:element id="intertekgroupplc_SeparatelyDisclosedItemsMember" xbrli:periodType="duration" abstract="true" name="SeparatelyDisclosedItemsMember" nillable="true" substitutionGroup="xbrli:item" xmlns:q3="http://www.xbrl.org/dtr/type/2020-01-21" type="q3:domainItemType" />
  <xs:element id="intertekgroupplc_TotalMember" xbrli:periodType="duration" abstract="true" name="TotalMember" nillable="true" substitutionGroup="xbrli:item" xmlns:q4="http://www.xbrl.org/dtr/type/2020-01-21" type="q4:domainItemType" />
  <xs:element id="intertekgroupplc_Totalmember" xbrli:periodType="duration" abstract="true" name="Totalmember" nillable="true" substitutionGroup="xbrli:item" xmlns:q5="http://www.xbrl.org/dtr/type/2020-01-21" type="q5:domainItemType" />
  <xs:element id="intertekgroupplc_ProfitOrLossTable" xbrli:periodType="duration" abstract="true" name="ProfitOrLossTable" nillable="true" xmlns:q6="http://xbrl.org/2005/xbrldt" substitutionGroup="q6:hypercubeItem" type="xbrli:stringItemType" />
  <xs:element id="intertekgroupplc_ProfitOrLossLineItems" xbrli:periodType="duration" abstract="true" name="ProfitOrLossLineItems" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" />
  <xs:element id="intertekgroupplc_WorkingCapital" xbrli:balance="credit" xbrli:periodType="instant" name="WorkingCapital" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="intertekgroupplc_IFRS16LeaseReceivable" xbrli:balance="debit" xbrli:periodType="instant" name="IFRS16LeaseReceivable" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="intertekgroupplc_ChangesInNonControllingInterest" xbrli:balance="credit" xbrli:periodType="duration" name="ChangesInNonControllingInterest" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="intertekgroupplc_PurchaseOfOwnShares" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfOwnShares" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="intertekgroupplc_AdjustmentsForAmortisationOfSoftware" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForAmortisationOfSoftware" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="intertekgroupplc_AdjustmentsForAmortisationOfAcquisitionIntangibles" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForAmortisationOfAcquisitionIntangibles" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="intertekgroupplc_AdjustmentsForImpairmentOfGoodwillAndOtherAssets" xbrli:balance="debit" xbrli:periodType="duration" name="AdjustmentsForImpairmentOfGoodwillAndOtherAssets" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="intertekgroupplc_ConsiderationPaidInRespectOfPriorYearAcquisitionsClassifiedAsInvestingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="ConsiderationPaidInRespectOfPriorYearAcquisitionsClassifiedAsInvestingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="intertekgroupplc_PurchaseOfNonControllingInterestClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="PurchaseOfNonControllingInterestClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="intertekgroupplc_CashOutflowRelatingToSeparatelyDisclosedItems" xbrli:balance="credit" xbrli:periodType="duration" name="CashOutflowRelatingToSeparatelyDisclosedItems" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="intertekgroupplc_FreeCashFlow" xbrli:balance="credit" xbrli:periodType="duration" name="FreeCashFlow" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="intertekgroupplc_DescriptionOfAccountingPolicyForConsiderationOfClimateChange" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForConsiderationOfClimateChange" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="intertekgroupplc_DisclosureOfSeparatelyDisclosedItems" xbrli:periodType="duration" name="DisclosureOfSeparatelyDisclosedItems" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="intertekgroupplc_DescriptionOfAccountingPolicyForAdjustedResults" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForAdjustedResults" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="intertekgroupplc_DescriptionOfAccountingPolicyForPurchaseOfOwnShares" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForPurchaseOfOwnShares" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
  <xs:element id="intertekgroupplc_DisclosureOfPurchaseOfOwnShares" xbrli:periodType="duration" name="DisclosureOfPurchaseOfOwnShares" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType" />
</xs:schema>